#pragma once

#include "alerts_service_action.h"

#define ALERTS_UPDATE_ACTION_NAME "ALERTS_UPDATE_ACTION"

using namespace NDaemonController;

namespace NRTYDeploy {

    class TAlertsUpdateAction : public TAlertsServiceAction {

    protected:

        TString GetProcessAlertsAction() const override {
            return "actualize";
        };

        static TFactory::TRegistrator<TAlertsUpdateAction> Registrator;

    public:

        TAlertsUpdateAction() {}

        TAlertsUpdateAction(const TString& service, const TString& ctype)
            : TAlertsServiceAction(service, ctype)
        {};

        virtual TString ActionName() const override {
            return ALERTS_UPDATE_ACTION_NAME;
        }
    };
}
